# $Id: makefile.wcc,v 1.4 2003/10/26 22:04:46 hei Exp $
# Makefile for testhook
# (c) 2003 Harald Eilertsen
#
# $Log: makefile.wcc,v $
# Revision 1.4  2003/10/26 22:04:46  hei
# Added callbacks.obj
#
# Revision 1.3  2003/10/06 23:35:20  hei
# Added ipsInitialize and ipsFinalize exports
#
# Revision 1.2  2003/10/06 21:54:17  hei
# fixed calling convention and naming issues
#
# Revision 1.1  2003/09/29 19:43:38  hei
# Initial revision
#

.c: ..;

.c.obj:
   wcc386 -zz -zq -bd -bt=nt $[@ 

testhook.dll: testhook.obj callbacks.obj
   @set lib=$(%watcom)\lib386;$(%watcom)\lib386\nt;$(%lib)
   wlink system nt dll name $^@ file testhook.obj file callbacks.obj op q, map &
         export ipsInitialize=_ipsInitialize &
         export ipsFinalize=_ipsFinalize &
         export ipsHttpRequest=_ipsHttpRequest
   
testhook.obj: ..\testhook.c ..\ipsHookInterface.h
callbacks.obj: ..\callbacks.c ..\ipsHookInterface.h

